<< rectpuls | FOSSEE_Signal_Processing_Toolbox | residue >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rectwin

# rectwin

This function returns the filter coefficients of a rectangular window.

### Syntax

    y = rectwin (m)

### Parameters

m:

  positive integer value

y:

  output variable, vector of real numbers

### Description

This function returns the filter coefficients of a rectangular window of length m supplied as input, to the output vector y.

### Examples

    rectwin(3)

Report an issue
<< rectpuls | FOSSEE_Signal_Processing_Toolbox | residue >>